// -*- Mode: C++; -*-
/*
  declaration of the main widget class

  $Log: mainwidget.h,v $
  Revision 1.1  2003/02/14 23:01:51  ral
  2.0.0

  Revision 1.3  1999/07/07 22:40:47  ral
  Open another mixerdevice is now working
  bug in main fixed

  Revision 1.2  1999/07/05 23:23:26  ral
  - changed KTopLevelWidget to KTMainWindow
  - set_device implemented
  - Open device is now displayed in caption and statusbar

  Revision 1.1  1999/07/05 04:37:33  ral
  Einige Aenderungen, CVS umgemodelt

  Revision 1.6  1998/08/25 18:11:59  ral
  1.9 released

  Revision 1.5  1998/06/17 11:50:47  ral
  *** empty log message ***

  Revision 1.4  1997/11/02 16:16:29  ral
  IntList inserted

  Revision 1.3  1997/10/30 15:59:35  ral
  Variables / callbacks for optionshandling inserted

  Revision 1.2  1997/10/24 13:34:06  ral
  Inserted callbacks and some global variables

  Revision 1.1  1997/10/20 11:25:58  ral
  Initial revision


  */
#include "kmainwindow.h"
#include <qlist.h>
#include <kmenubar.h>
#include <kstatusbar.h>
#include <kprocess.h>

class options;
class MixerWidget;

class MyWidget:public KMainWindow {
    Q_OBJECT
public:
    MyWidget();
    ~MyWidget();
    void SetDevice(const char*device=0);

protected:
    virtual bool queryClose();
    virtual bool queryExit();

private:
    int disp_id;
    int last_act;
    QPopupMenu*file;
    QPopupMenu*opt;
    MixerWidget*mainmixer;
    KStatusBar*statusbar;
    int soe;
    int los;
    int lol;
    int lov;

 private slots:
    void toggle_value_display();
    void save_on_exit();
    void load_on_startup();
    void load_only_layout();
    void load_only_values();
    void save_opts();
    void changeStatusbar(const QString&);
    void deleteStatusText();
    void raus_hier();
    void open_mixer();
 public slots:
    void windowClose();

};
