// -*- Mode: C++; -*-
#ifndef __qmixer_h
#define __qmixer_h

#include <qwidget.h>
#include <qframe.h>
#include <qlcdnum.h>
#include <qslider.h>
#include <qscrbar.h>
#include <qchkbox.h>
#include <qlayout.h>
#include <qlabel.h>
#include <qevent.h>
#include <qpopmenu.h>
#include "mixer.h"
#include "e_lcd.h"

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QCheckBox;
class QFrame;
class QLCDNumber;
class QLabel;
class QSlider;
class options;

class Mixer:public QWidget
{
    Q_OBJECT
public:
    Mixer(mixer*use_mix,QWidget*parent=0,const char * name=0,int dev = 0);
    void display_on();
    void display_off();
    void writevalues(options*);
    void readvalues(options*,int);
    void set_last_display();
    
 public slots:
    void Re_Read();
 private slots:
    void set_volume(int vol);
    void balance(int bal);
    void setRecord();
    void timeout();
    void procMenu(int);

 signals:
    void ReRead();
    
private:
    QSlider*Volume;
    QSlider*Balance;
    QLCDNumber*Display;
    QLabel*Name_Label;
    QCheckBox*Record;
    bool userchanged;
    QTimer*internalTimer;
    QPopupMenu*Menu;
    QWidget*par;
    QString Name;
    int last_display;
protected:
    void resizeEvent( QResizeEvent * );
    void moveItems(const QSize&);
    void mousePressEvent(QMouseEvent*);
    QHBoxLayout* MixerLayout;
    QVBoxLayout* mixerformLayout;
    QFrame* mixerform;
    mixer_dev MDev;

    void read_values(){MDev.read_values();}
    const int get_value()const{return MDev.get_value();}
    const int get_balance()const{return MDev.get_balance();}
    const int get_record()const{return MDev.get_record();}
    const char*get_name()const{return MDev.get_name();}
    const int is_stereo()const{return MDev.is_stereo();}
    const int is_recordsrc()const{return MDev.is_recordsrc();}
    void set_value(int v){MDev.set_value(v);}
    void set_balance(int v){MDev.set_balance(v);}
    void set_record(int v){MDev.set_record(v);}
};

#endif
